import importlib.resources as impr
import sys
import json

def init(modules, aoEngineEvents):
    serialize = modules['serialize']
    EngineEvent = modules['engineevents'].EngineEvent
    curm = sys.modules[__name__]
    files = impr.files(curm)
    level = None
    with files.joinpath("triangle.json").open('r') as leveldir:
        level = json.loads(leveldir.read(), object_hook=serialize.object_hook)
    aoEngineEvents.append(EngineEvent(
            'level',
            lambda _: level,
            tsArguments=()
            ))
